<?php
/*
 *
 * @package		ARI Smart Content
 * @author		ARI Soft
 * @copyright	Copyright (c) 2011 www.ari-soft.com. All rights reserved
 * @license		GNU/GPL (http://www.gnu.org/copyleft/gpl.html)
 * 
 */

(defined('_JEXEC') && defined('ARI_FRAMEWORK_LOADED')) or die;

class AriSmartContentWidget
{
	function getOutput($method)
	{
		$args = func_get_args();
		array_shift($args);
		
		@ob_start();
		
		call_user_func_array(array($this, $method), $args);
		
		$output = ob_get_contents();
		
		@ob_end_clean();
		
		return $output;
	}
}